export interface NIKResult {
    NIK: String;
    provinsi: String;
    kota: String;
    kecamatan: String;
    kodepos: number | null;
    tgl_lahir: String | boolean;
    gender: String;
    unicode: String;
    address_id: number;
}
export declare class ParseNIK {
    private date;
    private month;
    private year;
    private lahir;
    private gender;
    private provinsi;
    private kota;
    private kecamatan;
    private uniqcode;
    private NIK;
    constructor(nik: String);
    private getPartNIK;
    private getArea;
    private getCurrentYear;
    private getDateAndGender;
    private normalizeZero;
    private getBirthDay;
    private normalizeYear;
    private getUniqCode;
    isValid(): boolean;
    parse(): NIKResult;
}
